using YBDevice.Application;

namespace YBDevice.NWeb.Pages.MiniProgram
{
    public class TplSetModel : BaseModel
    {
        private readonly IOfficialService _officialService;
        public List<string> titlelist = new List<string>();
        public List<string> contentlist = new List<string>();
        public Guid Mid = Guid.Empty;
        public TplSetModel(IOfficialService officialService)
        {
            _officialService = officialService;
        }
        public async Task OnGet(Guid id)
        {
            var data = await _officialService.GetSubscribeTplDetailAsync(id);
            titlelist = data.Content.Split('|').ToList();
            contentlist = string.IsNullOrEmpty(data.Example) 
                ? new List<string>(): data.Example.Split('|').ToList();
            Mid = id;
        }
    }
}
